Results 1 to 6 of 6

Thread: TRYING TO INSTALL MP3BLASTER

  1. #1
    Join Date
    May 2011
    Location
    UK
    Posts
    109

    Default TRYING TO INSTALL MP3BLASTER

    Decided to give up on Banshee etc for the time beingand try to install mp3blaster from command line, downloaded latest version from sourceforge and ran config and this is the result. Not having much luck tonight.

    Any help welcome

    checking machine/soundcard.h usability... no
    checking machine/soundcard.h presence... no
    checking for machine/soundcard.h... no
    checking soundcard.h usability... no
    checking soundcard.h presence... no
    checking for soundcard.h... no
    checking for main in -lcurses... no
    checking for main in -lncurses... no
    checking curses.h usability... no
    checking curses.h presence... no
    checking for curses.h... no
    checking ncurses/ncurses.h usability... no
    checking ncurses/ncurses.h presence... no
    checking for ncurses/ncurses.h... no
    checking ncurses/curses.h usability... no
    checking ncurses/curses.h presence... no
    checking for ncurses/curses.h... no
    checking ncurses.h usability... no
    checking ncurses.h presence... no
    checking for ncurses.h... no
    configure: error: could not find (n)curses libs or includes, which are required

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: TRYING TO INSTALL MP3BLASTER

    Do you have yast2-ncurses installed on your PC? I was thinking this is installed by default but you might open up YaST / Software / Software Management and search on the term ncurses and see what you get. How did you install mp3blaster? I see that you can install it from YaST if you have added in the Packman repository. How are you trying to run mp3blaster? I see that this is a text only program that must be run from a terminal session AND it must be configured before it can be used. The program does run on my PC. but I did not bother to configure it as it seems like a waste of time to use this over say Amarok or Banshee.

    Thank You,

    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3
    Join Date
    May 2011
    Location
    UK
    Posts
    109

    Default Re: TRYING TO INSTALL MP3BLASTER

    The following ncurses are installed:

    libncurses5
    libncurses6
    ncurses-utils
    yast2-ncurses
    yast2-ncurses-pkg

    I try to install mp3blaster by downloading the tar file, extracting, and running configure which runs but ends up with the errors i posted. The reason I wanted to give it a try was that i am having difficulty getting Banshee to rip cd's to mp3 and I wondered if it was possible to do so with mp3blaster. Ideally I would like to have Banshee do this.

    Thanks

  4. #4
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: TRYING TO INSTALL MP3BLASTER

    jimt123 wrote:
    >
    > I try to install mp3blaster by downloading the tar file, extracting,
    > and running configure which runs but ends up with the errors i posted.
    >

    I never compiled this special software myself, but in general if you compile
    software it is not enough to have the libraries installed but also the devel
    packages for it. In your case this should be the package ncurses-devel.
    It may be that configure will later complain about something else it misses,
    but give it a try.

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.3 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  5. #5
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: TRYING TO INSTALL MP3BLASTER

    libncurses5
    libncurses6
    ncurses-utils
    yast2-ncurses
    yast2-ncurses-pkg

    I try to install mp3blaster by downloading the tar file, extracting, and running configure which runs but ends up with the errors i posted. The reason I wanted to give it a try was that i am having difficulty getting Banshee to rip cd's to mp3 and I wondered if it was possible to do so with mp3blaster. Ideally I would like to have Banshee do this.

    Thanks
    Since you can find the precompiled version of mp3blaster in Packman, I suggest you use it instead. AND, if you need a good CD ripper, why not try using Asunder instead (search for asunder in YaST with Packman added as a repository)?

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  6. #6
    Join Date
    May 2011
    Location
    UK
    Posts
    109

    Default Re: TRYING TO INSTALL MP3BLASTER

    Thanks again

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •